<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "Rules_points".
 *
 * @property int $id id
 * @property int $delete_time
 * @property string|null $rule_id 规章ID
 * @property string|null $point 知识点编号
 * @property string|null $name 知识点标题
 * @property string|null $content 知识点内容
 * @property string|null $rule_id_point 规章ID+知识点编号
 * @property string|null $dic 固化字典
 */
class RulesPoints extends \yii\db\ActiveRecord
{
    public $rule_id_point;

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'rules_points';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'rule_id' => '规章ID',
            'point' => '知识点编号',
            'content' => '知识点内容',
        ];
    }
}
